import React, { ProviderProps } from 'react';
import Toaster from '@itwin/itwinui-react/cjs/core/Toast/Toaster';
export interface IToastContext {
    toastSuccess: (message: string) => void;
    toastError: (message: string) => void;
    toastInformation: (message: string) => void;
}
interface ToastProviderProps extends Omit<ProviderProps<IToastContext>, 'value'> {
    toaster: Toaster;
}
export declare const ToastContext: React.Context<IToastContext>;
export declare const ToastContextProvider: (props: ToastProviderProps) => JSX.Element;
export declare const useToast: () => IToastContext;
export {};
